package base

import (
	"github.com/suyuan32/simple-admin-common/utils/pointy"
	"github.com/suyuan32/simple-admin-core/rpc/types/core"
)

func (l *InitDatabaseLogic) insertApiData() (err error) {
	// AliyunAvatar

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/aliyun_avatar/create"),
		Description: pointy.GetPointer("apiDesc.createAliyunAvatar"),
		ApiGroup:    pointy.GetPointer("aliyun_avatar"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/aliyun_avatar/update"),
		Description: pointy.GetPointer("apiDesc.updateAliyunAvatar"),
		ApiGroup:    pointy.GetPointer("aliyun_avatar"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/aliyun_avatar/delete"),
		Description: pointy.GetPointer("apiDesc.deleteAliyunAvatar"),
		ApiGroup:    pointy.GetPointer("aliyun_avatar"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/aliyun_avatar/list"),
		Description: pointy.GetPointer("apiDesc.getAliyunAvatarList"),
		ApiGroup:    pointy.GetPointer("aliyun_avatar"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/aliyun_avatar"),
		Description: pointy.GetPointer("apiDesc.getAliyunAvatarById"),
		ApiGroup:    pointy.GetPointer("aliyun_avatar"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// WxCardVisit

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_visit/create"),
		Description: pointy.GetPointer("apiDesc.createWxCardVisit"),
		ApiGroup:    pointy.GetPointer("wx_card_visit"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_visit/update"),
		Description: pointy.GetPointer("apiDesc.updateWxCardVisit"),
		ApiGroup:    pointy.GetPointer("wx_card_visit"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_visit/delete"),
		Description: pointy.GetPointer("apiDesc.deleteWxCardVisit"),
		ApiGroup:    pointy.GetPointer("wx_card_visit"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_visit/list"),
		Description: pointy.GetPointer("apiDesc.getWxCardVisitList"),
		ApiGroup:    pointy.GetPointer("wx_card_visit"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_visit"),
		Description: pointy.GetPointer("apiDesc.getWxCardVisitById"),
		ApiGroup:    pointy.GetPointer("wx_card_visit"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// WxCardUser

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_user/create"),
		Description: pointy.GetPointer("apiDesc.createWxCardUser"),
		ApiGroup:    pointy.GetPointer("wx_card_user"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_user/update"),
		Description: pointy.GetPointer("apiDesc.updateWxCardUser"),
		ApiGroup:    pointy.GetPointer("wx_card_user"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_user/delete"),
		Description: pointy.GetPointer("apiDesc.deleteWxCardUser"),
		ApiGroup:    pointy.GetPointer("wx_card_user"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_user/list"),
		Description: pointy.GetPointer("apiDesc.getWxCardUserList"),
		ApiGroup:    pointy.GetPointer("wx_card_user"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card_user"),
		Description: pointy.GetPointer("apiDesc.getWxCardUserById"),
		ApiGroup:    pointy.GetPointer("wx_card_user"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// WxCard

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card/create"),
		Description: pointy.GetPointer("apiDesc.createWxCard"),
		ApiGroup:    pointy.GetPointer("wx_card"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card/update"),
		Description: pointy.GetPointer("apiDesc.updateWxCard"),
		ApiGroup:    pointy.GetPointer("wx_card"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card/delete"),
		Description: pointy.GetPointer("apiDesc.deleteWxCard"),
		ApiGroup:    pointy.GetPointer("wx_card"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card/list"),
		Description: pointy.GetPointer("apiDesc.getWxCardList"),
		ApiGroup:    pointy.GetPointer("wx_card"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx_card"),
		Description: pointy.GetPointer("apiDesc.getWxCardById"),
		ApiGroup:    pointy.GetPointer("wx_card"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// ChatSession

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_session/create"),
		Description: pointy.GetPointer("apiDesc.createChatSession"),
		ApiGroup:    pointy.GetPointer("chat_session"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_session/update"),
		Description: pointy.GetPointer("apiDesc.updateChatSession"),
		ApiGroup:    pointy.GetPointer("chat_session"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_session/delete"),
		Description: pointy.GetPointer("apiDesc.deleteChatSession"),
		ApiGroup:    pointy.GetPointer("chat_session"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_session/list"),
		Description: pointy.GetPointer("apiDesc.getChatSessionList"),
		ApiGroup:    pointy.GetPointer("chat_session"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_session"),
		Description: pointy.GetPointer("apiDesc.getChatSessionById"),
		ApiGroup:    pointy.GetPointer("chat_session"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// ChatRecords

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_records/create"),
		Description: pointy.GetPointer("apiDesc.createChatRecords"),
		ApiGroup:    pointy.GetPointer("chat_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_records/update"),
		Description: pointy.GetPointer("apiDesc.updateChatRecords"),
		ApiGroup:    pointy.GetPointer("chat_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_records/delete"),
		Description: pointy.GetPointer("apiDesc.deleteChatRecords"),
		ApiGroup:    pointy.GetPointer("chat_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_records/list"),
		Description: pointy.GetPointer("apiDesc.getChatRecordsList"),
		ApiGroup:    pointy.GetPointer("chat_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/chat_records"),
		Description: pointy.GetPointer("apiDesc.getChatRecordsById"),
		ApiGroup:    pointy.GetPointer("chat_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// AgentBase

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent_base/create"),
		Description: pointy.GetPointer("apiDesc.createAgentBase"),
		ApiGroup:    pointy.GetPointer("agent_base"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent_base/update"),
		Description: pointy.GetPointer("apiDesc.updateAgentBase"),
		ApiGroup:    pointy.GetPointer("agent_base"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent_base/delete"),
		Description: pointy.GetPointer("apiDesc.deleteAgentBase"),
		ApiGroup:    pointy.GetPointer("agent_base"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent_base/list"),
		Description: pointy.GetPointer("apiDesc.getAgentBaseList"),
		ApiGroup:    pointy.GetPointer("agent_base"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent_base"),
		Description: pointy.GetPointer("apiDesc.getAgentBaseById"),
		ApiGroup:    pointy.GetPointer("agent_base"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Category

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/category/create"),
		Description: pointy.GetPointer("apiDesc.createCategory"),
		ApiGroup:    pointy.GetPointer("category"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/category/update"),
		Description: pointy.GetPointer("apiDesc.updateCategory"),
		ApiGroup:    pointy.GetPointer("category"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/category/delete"),
		Description: pointy.GetPointer("apiDesc.deleteCategory"),
		ApiGroup:    pointy.GetPointer("category"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/category/list"),
		Description: pointy.GetPointer("apiDesc.getCategoryList"),
		ApiGroup:    pointy.GetPointer("category"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/category"),
		Description: pointy.GetPointer("apiDesc.getCategoryById"),
		ApiGroup:    pointy.GetPointer("category"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// EmployeeConfig

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee_config/create"),
		Description: pointy.GetPointer("apiDesc.createEmployeeConfig"),
		ApiGroup:    pointy.GetPointer("employee_config"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee_config/update"),
		Description: pointy.GetPointer("apiDesc.updateEmployeeConfig"),
		ApiGroup:    pointy.GetPointer("employee_config"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee_config/delete"),
		Description: pointy.GetPointer("apiDesc.deleteEmployeeConfig"),
		ApiGroup:    pointy.GetPointer("employee_config"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee_config/list"),
		Description: pointy.GetPointer("apiDesc.getEmployeeConfigList"),
		ApiGroup:    pointy.GetPointer("employee_config"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee_config"),
		Description: pointy.GetPointer("apiDesc.getEmployeeConfigById"),
		ApiGroup:    pointy.GetPointer("employee_config"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Msg

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/msg/create"),
		Description: pointy.GetPointer("apiDesc.createMsg"),
		ApiGroup:    pointy.GetPointer("msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/msg/update"),
		Description: pointy.GetPointer("apiDesc.updateMsg"),
		ApiGroup:    pointy.GetPointer("msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/msg/delete"),
		Description: pointy.GetPointer("apiDesc.deleteMsg"),
		ApiGroup:    pointy.GetPointer("msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/msg/list"),
		Description: pointy.GetPointer("apiDesc.getMsgList"),
		ApiGroup:    pointy.GetPointer("msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/msg"),
		Description: pointy.GetPointer("apiDesc.getMsgById"),
		ApiGroup:    pointy.GetPointer("msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Token

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/token/create"),
		Description: pointy.GetPointer("apiDesc.createToken"),
		ApiGroup:    pointy.GetPointer("token"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/token/update"),
		Description: pointy.GetPointer("apiDesc.updateToken"),
		ApiGroup:    pointy.GetPointer("token"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/token/delete"),
		Description: pointy.GetPointer("apiDesc.deleteToken"),
		ApiGroup:    pointy.GetPointer("token"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/token/list"),
		Description: pointy.GetPointer("apiDesc.getTokenList"),
		ApiGroup:    pointy.GetPointer("token"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/token"),
		Description: pointy.GetPointer("apiDesc.getTokenById"),
		ApiGroup:    pointy.GetPointer("token"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Tutorial

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/tutorial/create"),
		Description: pointy.GetPointer("apiDesc.createTutorial"),
		ApiGroup:    pointy.GetPointer("tutorial"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/tutorial/update"),
		Description: pointy.GetPointer("apiDesc.updateTutorial"),
		ApiGroup:    pointy.GetPointer("tutorial"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/tutorial/delete"),
		Description: pointy.GetPointer("apiDesc.deleteTutorial"),
		ApiGroup:    pointy.GetPointer("tutorial"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/tutorial/list"),
		Description: pointy.GetPointer("apiDesc.getTutorialList"),
		ApiGroup:    pointy.GetPointer("tutorial"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/tutorial"),
		Description: pointy.GetPointer("apiDesc.getTutorialById"),
		ApiGroup:    pointy.GetPointer("tutorial"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// WorkExperience

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/work_experience/create"),
		Description: pointy.GetPointer("apiDesc.createWorkExperience"),
		ApiGroup:    pointy.GetPointer("work_experience"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/work_experience/update"),
		Description: pointy.GetPointer("apiDesc.updateWorkExperience"),
		ApiGroup:    pointy.GetPointer("work_experience"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/work_experience/delete"),
		Description: pointy.GetPointer("apiDesc.deleteWorkExperience"),
		ApiGroup:    pointy.GetPointer("work_experience"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/work_experience/list"),
		Description: pointy.GetPointer("apiDesc.getWorkExperienceList"),
		ApiGroup:    pointy.GetPointer("work_experience"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/work_experience"),
		Description: pointy.GetPointer("apiDesc.getWorkExperienceById"),
		ApiGroup:    pointy.GetPointer("work_experience"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Employee

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee/create"),
		Description: pointy.GetPointer("apiDesc.createEmployee"),
		ApiGroup:    pointy.GetPointer("employee"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee/update"),
		Description: pointy.GetPointer("apiDesc.updateEmployee"),
		ApiGroup:    pointy.GetPointer("employee"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee/delete"),
		Description: pointy.GetPointer("apiDesc.deleteEmployee"),
		ApiGroup:    pointy.GetPointer("employee"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee/list"),
		Description: pointy.GetPointer("apiDesc.getEmployeeList"),
		ApiGroup:    pointy.GetPointer("employee"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/employee"),
		Description: pointy.GetPointer("apiDesc.getEmployeeById"),
		ApiGroup:    pointy.GetPointer("employee"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Agent

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent/create"),
		Description: pointy.GetPointer("apiDesc.createAgent"),
		ApiGroup:    pointy.GetPointer("agent"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent/update"),
		Description: pointy.GetPointer("apiDesc.updateAgent"),
		ApiGroup:    pointy.GetPointer("agent"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent/delete"),
		Description: pointy.GetPointer("apiDesc.deleteAgent"),
		ApiGroup:    pointy.GetPointer("agent"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent/list"),
		Description: pointy.GetPointer("apiDesc.getAgentList"),
		ApiGroup:    pointy.GetPointer("agent"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/agent"),
		Description: pointy.GetPointer("apiDesc.getAgentById"),
		ApiGroup:    pointy.GetPointer("agent"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// BatchMsg

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/batch_msg/create"),
		Description: pointy.GetPointer("apiDesc.createBatchMsg"),
		ApiGroup:    pointy.GetPointer("batch_msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/batch_msg/update"),
		Description: pointy.GetPointer("apiDesc.updateBatchMsg"),
		ApiGroup:    pointy.GetPointer("batch_msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/batch_msg/delete"),
		Description: pointy.GetPointer("apiDesc.deleteBatchMsg"),
		ApiGroup:    pointy.GetPointer("batch_msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/batch_msg/list"),
		Description: pointy.GetPointer("apiDesc.getBatchMsgList"),
		ApiGroup:    pointy.GetPointer("batch_msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/batch_msg"),
		Description: pointy.GetPointer("apiDesc.getBatchMsgById"),
		ApiGroup:    pointy.GetPointer("batch_msg"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// MessageRecords

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/message_records/create"),
		Description: pointy.GetPointer("apiDesc.createMessageRecords"),
		ApiGroup:    pointy.GetPointer("message_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/message_records/update"),
		Description: pointy.GetPointer("apiDesc.updateMessageRecords"),
		ApiGroup:    pointy.GetPointer("message_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/message_records/delete"),
		Description: pointy.GetPointer("apiDesc.deleteMessageRecords"),
		ApiGroup:    pointy.GetPointer("message_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/message_records/list"),
		Description: pointy.GetPointer("apiDesc.getMessageRecordsList"),
		ApiGroup:    pointy.GetPointer("message_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/message_records"),
		Description: pointy.GetPointer("apiDesc.getMessageRecordsById"),
		ApiGroup:    pointy.GetPointer("message_records"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// SopNode

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_node/create"),
		Description: pointy.GetPointer("apiDesc.createSopNode"),
		ApiGroup:    pointy.GetPointer("sop_node"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_node/update"),
		Description: pointy.GetPointer("apiDesc.updateSopNode"),
		ApiGroup:    pointy.GetPointer("sop_node"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_node/delete"),
		Description: pointy.GetPointer("apiDesc.deleteSopNode"),
		ApiGroup:    pointy.GetPointer("sop_node"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_node/list"),
		Description: pointy.GetPointer("apiDesc.getSopNodeList"),
		ApiGroup:    pointy.GetPointer("sop_node"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_node"),
		Description: pointy.GetPointer("apiDesc.getSopNodeById"),
		ApiGroup:    pointy.GetPointer("sop_node"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// SopStage

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_stage/create"),
		Description: pointy.GetPointer("apiDesc.createSopStage"),
		ApiGroup:    pointy.GetPointer("sop_stage"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_stage/update"),
		Description: pointy.GetPointer("apiDesc.updateSopStage"),
		ApiGroup:    pointy.GetPointer("sop_stage"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_stage/delete"),
		Description: pointy.GetPointer("apiDesc.deleteSopStage"),
		ApiGroup:    pointy.GetPointer("sop_stage"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_stage/list"),
		Description: pointy.GetPointer("apiDesc.getSopStageList"),
		ApiGroup:    pointy.GetPointer("sop_stage"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_stage"),
		Description: pointy.GetPointer("apiDesc.getSopStageById"),
		ApiGroup:    pointy.GetPointer("sop_stage"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// SopTask

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_task/create"),
		Description: pointy.GetPointer("apiDesc.createSopTask"),
		ApiGroup:    pointy.GetPointer("sop_task"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_task/update"),
		Description: pointy.GetPointer("apiDesc.updateSopTask"),
		ApiGroup:    pointy.GetPointer("sop_task"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_task/delete"),
		Description: pointy.GetPointer("apiDesc.deleteSopTask"),
		ApiGroup:    pointy.GetPointer("sop_task"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_task/list"),
		Description: pointy.GetPointer("apiDesc.getSopTaskList"),
		ApiGroup:    pointy.GetPointer("sop_task"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/sop_task"),
		Description: pointy.GetPointer("apiDesc.getSopTaskById"),
		ApiGroup:    pointy.GetPointer("sop_task"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// LabelRelationship

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label_relationship/create"),
		Description: pointy.GetPointer("apiDesc.createLabelRelationship"),
		ApiGroup:    pointy.GetPointer("label_relationship"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label_relationship/update"),
		Description: pointy.GetPointer("apiDesc.updateLabelRelationship"),
		ApiGroup:    pointy.GetPointer("label_relationship"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label_relationship/delete"),
		Description: pointy.GetPointer("apiDesc.deleteLabelRelationship"),
		ApiGroup:    pointy.GetPointer("label_relationship"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label_relationship/list"),
		Description: pointy.GetPointer("apiDesc.getLabelRelationshipList"),
		ApiGroup:    pointy.GetPointer("label_relationship"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label_relationship"),
		Description: pointy.GetPointer("apiDesc.getLabelRelationshipById"),
		ApiGroup:    pointy.GetPointer("label_relationship"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Label

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label/create"),
		Description: pointy.GetPointer("apiDesc.createLabel"),
		ApiGroup:    pointy.GetPointer("label"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label/update"),
		Description: pointy.GetPointer("apiDesc.updateLabel"),
		ApiGroup:    pointy.GetPointer("label"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label/delete"),
		Description: pointy.GetPointer("apiDesc.deleteLabel"),
		ApiGroup:    pointy.GetPointer("label"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label/list"),
		Description: pointy.GetPointer("apiDesc.getLabelList"),
		ApiGroup:    pointy.GetPointer("label"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/label"),
		Description: pointy.GetPointer("apiDesc.getLabelById"),
		ApiGroup:    pointy.GetPointer("label"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Contact

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/create"),
		Description: pointy.GetPointer("apiDesc.createContact"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/update"),
		Description: pointy.GetPointer("apiDesc.updateContact"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/delete"),
		Description: pointy.GetPointer("apiDesc.deleteContact"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/list"),
		Description: pointy.GetPointer("apiDesc.getContactList"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact"),
		Description: pointy.GetPointer("apiDesc.getContactById"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Wx

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/create"),
		Description: pointy.GetPointer("apiDesc.createWx"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/update"),
		Description: pointy.GetPointer("apiDesc.updateWx"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/delete"),
		Description: pointy.GetPointer("apiDesc.deleteWx"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/list"),
		Description: pointy.GetPointer("apiDesc.getWxList"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx"),
		Description: pointy.GetPointer("apiDesc.getWxById"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Server

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/create"),
		Description: pointy.GetPointer("apiDesc.createServer"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/update"),
		Description: pointy.GetPointer("apiDesc.updateServer"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/delete"),
		Description: pointy.GetPointer("apiDesc.deleteServer"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/list"),
		Description: pointy.GetPointer("apiDesc.getServerList"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server"),
		Description: pointy.GetPointer("apiDesc.getServerById"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}


	return err
}